Open CASCADE Technology: XmlTObjDrivers_DocumentStorageDriver Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
XmlTObjDrivers_DocumentStorageDriver Class Reference

`#include <XmlTObjDrivers_DocumentStorageDriver.hxx>`

Inheritance diagram for XmlTObjDrivers_DocumentStorageDriver:
[legend]

## Public Member Functions
| XmlTObjDrivers_DocumentStorageDriver (const TCollection_ExtendedString &theCopyright)
virtual Handle < XmlMDF_ADriverTable > | AttributeDrivers (const Handle< CDM_MessageDriver > &theMsgDriver)
Public Member Functions inherited from XmlLDrivers_DocumentStorageDriver
| XmlLDrivers_DocumentStorageDriver (const TCollection_ExtendedString &theCopyright)
virtual TCollection_ExtendedString | SchemaName () const
virtual void | Write (const Handle< CDM_Document > &theDocument, const TCollection_ExtendedString &theFileName)
| Warning! raises DriverError if an error occurs during inside the Make method. stores the content of the Document into a new file. More...
Public Member Functions inherited from PCDM_StorageDriver
virtual Handle< PCDM_Document > | Make (const Handle< CDM_Document > &aDocument)
| raises NotImplemented. More...
virtual void | Make (const Handle< CDM_Document > &aDocument, PCDM_SequenceOfDocument &Documents)
| By default, puts in the Sequence the document returns by the previous Make method. More...
virtual void | LoadExtensions (const Handle< Storage_Schema > &aSchema, const TColStd_SequenceOfExtendedString &Extensions)
void | SetFormat (const TCollection_ExtendedString &aformat)
TCollection_ExtendedString | GetFormat () const
Standard_Boolean | IsError () const
void | SetIsError (const Standard_Boolean theIsError)
PCDM_StoreStatus | GetStoreStatus () const
void | SetStoreStatus (const PCDM_StoreStatus theStoreStatus)
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from XmlLDrivers_DocumentStorageDriver
virtual Standard_Boolean | WriteToDomDocument (const Handle< CDM_Document > &theDocument, XmlObjMgt_Element &thePDoc, const TCollection_ExtendedString &theFileName)
virtual Standard_Integer | MakeDocument (const Handle< CDM_Document > &theDocument, XmlObjMgt_Element &thePDoc)
void | AddNamespace (const TCollection_AsciiString &thePrefix, const TCollection_AsciiString &theURI)
virtual Standard_Boolean | WriteShapeSection (XmlObjMgt_Element &thePDoc)
Protected Attributes inherited from XmlLDrivers_DocumentStorageDriver
Handle< XmlMDF_ADriverTable > | myDrivers
XmlObjMgt_SRelocationTable | myRelocTable

## Constructor & Destructor Documentation

XmlTObjDrivers_DocumentStorageDriver::XmlTObjDrivers_DocumentStorageDriver | ( | const TCollection_ExtendedString & | theCopyright | ) |

## Member Function Documentation

virtual Handle< XmlMDF_ADriverTable > XmlTObjDrivers_DocumentStorageDriver::AttributeDrivers | ( | const Handle< CDM_MessageDriver > & | theMsgDriver | ) |
| virtual

Reimplemented from XmlLDrivers_DocumentStorageDriver.

The documentation for this class was generated from the following file:

- XmlTObjDrivers_DocumentStorageDriver.hxx